# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_178239084264214/markupsafe-feedstock/recipe, last modified Thu Jun 25 12:34:08 2026
# ------------------------------------------------

package:
  name: markupsafe
  version: 3.0.3
source:
  url: https://pypi.org/packages/source/m/markupsafe/markupsafe-3.0.3.tar.gz
  sha256: 722695808f4b6457b320fdc131280796bdceb04ab50fe1795cd540799ebe1698
build:
  number: '0'
  script: /home/task_178239084264214/croot/markupsafe_1782390871973/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py314h47b2149_0
requirements:
  build:
    - _openmp_mutex 5.1 52_gnu
    - binutils_impl_linux-64 2.44 h78f17ca_3
    - binutils_linux-64 2.44 hc03a8fd_3
    - gcc_impl_linux-64 14.3.0 h4943218_4
    - gcc_linux-64 14.3.0 hda73cce_14
    - kernel-headers_linux-64 4.18.0 h3108a97_1
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libgcc 15.2.0 h69a1729_8
    - libgcc-devel_linux-64 14.3.0 he7458c1_104
    - libgomp 15.2.0 h4751f2c_8
    - libsanitizer 14.3.0 hd4faa28_4
    - libstdcxx 15.2.0 h39759b7_8
    - sysroot_linux-64 2.28 h3108a97_1
    - tzdata 2026b he532380_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.5.14 h06a4308_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.8.1 h7354ed3_1
    - libffi 3.4.8 h06d3fd0_3
    - libgcc 15.2.0 h69a1729_8
    - libgcc-ng 15.2.0 h166f726_8
    - libmpdec 4.0.1 h47b2149_0
    - libstdcxx 15.2.0 h39759b7_8
    - libstdcxx-ng 15.2.0 hc03a8fd_8
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.2 h47b2149_0
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.7 h1b28b03_0
    - packaging 26.0 py314h06a4308_0
    - pip 26.1.2 pyh0d26453_0
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.6 h4bdf6f9_100_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - setuptools 82.0.1 py314h06a4308_0
    - sqlite 3.53.2 h795bf6d_0
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2026b he532380_0
    - wheel 0.47.0 py314h06a4308_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.2 h47b2149_0
    - zstd 1.5.7 h11fc155_0
  run:
    - __glibc >=2.28,<3.0.a0
    - libgcc >=14
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
  run_constrained:
    - jinja2 >=3.0.0
test:
  source_files:
    - tests
  imports:
    - markupsafe
  requires:
    - pip
    - pytest
  commands:
    - pip check
    - pytest tests
about:
  home: https://www.palletsprojects.com/projects/markupsafe
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Safely add untrusted strings to HTML/XML markup.
  description: 'MarkupSafe implements a text object that escapes characters so it
    is

    safe to use in HTML and XML. Characters that have special meanings are

    replaced so that they display as the actual characters. This mitigates

    injection attacks, meaning untrusted user input can safely be displayed

    on a page.

    '
  doc_url: https://markupsafe.palletsprojects.com/en/stable/
  dev_url: https://github.com/pallets/markupsafe
extra:
  recipe-maintainers:
    - ocefpaf
    - pelson
    - scopatz
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/markupsafe-feedstock
  sha: 175f19e6fc1eeb6b3d6ae27e79bc047cbd606886
  task_id: V-BOEiDdTUOPxsVlEZ2JrA
  task_run_id: '0'
  pbp_graph_uuid: 9a7c122a-65be-4c73-86d0-f2cb2f2ffd18
